Imports System.Data.SqlClient

Module Module1

    Sub Main()
        Dim con As New SqlConnection
        Dim cmd As New SqlCommand
        Dim da As New SqlDataAdapter
        Dim dt As New DataTable
        Dim dr As DataRow
        Dim cb As SqlCommandBuilder
        Dim el As New EventLog

        Console.WriteLine("NetList")
        Console.WriteLine("Started: " & Now)

        ' Open the table
        con.ConnectionString = My.Settings.Connection_String
        Try
            con.Open()
        Catch ex As Exception
            Environment.ExitCode = Err.Number
            Console.WriteLine("Yikes! Can't open the database" & vbCr & ex.Message)
            el.Source = "NetList_ST"
            el.WriteEntry("Yikes! Can't open the database" & vbCr & ex.Message, EventLogEntryType.Error)
            System.Threading.Thread.Sleep(5000)
            Exit Sub
        End Try

        ' fill the data table
        Try
            cmd.Connection = con
            cmd.CommandText = "Select * from " & My.Settings.TableName
            da.SelectCommand = cmd
            da.Fill(dt)
        Catch ex As Exception
            Environment.ExitCode = Err.Number
            Console.WriteLine("Yikes! Can't read the table" & vbCr & ex.Message)
            el.Source = "NetList_ST"
            el.WriteEntry("Yikes! Can't read the table" & vbCr & ex.Message, EventLogEntryType.Error)
            System.Threading.Thread.Sleep(5000)
            Exit Sub
        End Try

        ' Whack existing records
        For Each dr In dt.Rows
            dr.Delete()
        Next

        ' Let's do it...
        Dim Net As New EnumNet
        Net.GetEnunNet(dt, My.Settings.Domain, My.Settings.OU, My.Settings.Name_Filter)

        ' Update the table
        Try
            da.SelectCommand = cmd
            cb = New SqlCommandBuilder(da)
            da.Update(dt)
        Catch ex As Exception
            Environment.ExitCode = Err.Number
            Console.WriteLine("Yikes! Can't update the table" & vbCr & ex.Message)
            el.Source = "NetList_ST"
            el.WriteEntry("Yikes! Can't update the table" & vbCr & ex.Message, EventLogEntryType.Error)
        End Try

        el.Source = "NetList_ST"
        el.WriteEntry("Recorded data for " & Net.Record_count & " PCs", EventLogEntryType.Information)

        Console.WriteLine("")
        Console.WriteLine("Recorded data for " & Net.Record_count & " PCs")
        Console.WriteLine("Finished: " & Now)
        System.Threading.Thread.Sleep(5000)
    End Sub

End Module
